html,
body {
    font-family: Lato, Arial, Helvetica, sans-serif;
    background: #222;
    color: white;
    margin: 0;
    padding: 0;
    display: grid;
    justify-content: center;
    align-items: center;
    width: 100vw;
    overflow-x: hidden;
    overflow-y: auto;
    min-height: 100vh;
}
body {
    padding: 40px;
}
*,
*::before,
*::after {
    box-sizing: border-box;
}
main {
    padding: 20px 40px;
    background: #333;
    border: 4px solid #111;
    border-radius: 10px;
    display: grid;
    flex-direction: column;
    gap: 40px;
    width: 720px;
    max-width: 100vw;
}
.options {
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.options .option {
    display: grid;
    gap: 10px 40px;
    align-items: center;
}
.option_label {
    grid-column: 1 / -1;
    font-size: 12px;
    text-transform: uppercase;
    opacity: 0.5;
}
.options_columns {
    display: grid;
    gap: 20px;
    grid-template-columns: minmax(0, 1fr) minmax(0, 1fr);
}
.option_column {
    display: grid;
    gap: 20px;
    align-items: flex-start;
}
.options .option_range {
    display: grid;
    grid-template-columns: 1fr auto;
    gap: 10px 40px;
    align-items: center;
}
#length_display {
    text-align: center;
    width: 30px;
}
.options .option_check {
    justify-items: flex-start;
}
#char_pools {
    background: #444;
    border: none;
    border-radius: 5px;
    padding: 5px;
    color: white;
}
input[type='range'] {
    width: 100%;
}

#pass {
    padding: 10px 20px;
    background: #444;
    min-height: 48px;
    cursor: pointer;
    transition: opacity 0.3s;
    white-space: nowrap;
    overflow: auto;
    text-align: center;
    font-size: 20px;
    font-family: monospace;
    max-width: 100%;
    display: grid;
    &:hover {
        opacity: 0.5;
    }
}
#btn_gen {
    display: grid;
    justify-items: center;
}
#btn_gen button {
    display: block;
    background: #5caf2c;
    color: black;
    border: 2px solid #326613;
    min-width: 50%;
    padding: 10px 20px;
    border-radius: 10px;
    cursor: pointer;
    transition: opacity 0.3s;
    &:hover {
        opacity: 0.5;
    }
}

@media (max-width: 767px) {
    body {
        padding: 12px;
    }
    main {
        width: unset;
        padding: 24px;
    }
    .options_columns {
        grid-template-columns: 1fr;
    }
    .options .option_range {
        gap: 10px 20px;
    }
}
